%global pypi_name command-runner

Name:           python-%{pypi_name}
Version:        1.7.2
Release:        1%{?dist}
Summary:        Platform agnostic command and shell execution tool, also allows UAC/sudo privilege elevation

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD
URL:            https://github.com/netinvent/command_runner
Source:         %{pypi_source command_runner}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-psutil >= 5.6.0
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel


%description
command_runner's purpose is to run external commands from python, just like subprocess on which it relies,
while solving various problems a developer may face among:

- Handling of all possible subprocess.popen / subprocess.check_output scenarios /
  python versions in one handy function without encoding / timeout hassle
- Allow stdout/stderr stream output to be redirected to callback functions / output queues /
  files so you get to handle output in your application while commands are running
- Callback to optional stop check so we can stop execution from outside command_runner
- Callback with optional process information so we get to control the process from outside command_runner
- Callback once we're finished to easen thread usage
- Optional process priority and io_priority settings


%package -n     python3-%{pypi_name}
Summary:        Platform agnostic command and shell execution tool, also allows UAC/sudo privilege elevation

%description -n python3-%{pypi_name}
command_runner's purpose is to run external commands from python, just like subprocess on which it relies,
while solving various problems a developer may face among:

- Handling of all possible subprocess.popen / subprocess.check_output scenarios /
  python versions in one handy function without encoding / timeout hassle
- Allow stdout/stderr stream output to be redirected to callback functions / output queues /
  files so you get to handle output in your application while commands are running
- Callback to optional stop check so we can stop execution from outside command_runner
- Callback with optional process information so we get to control the process from outside command_runner
- Callback once we're finished to easen thread usage


%prep
%autosetup -p1 -n command_runner-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test -v


%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/command_runner
%{python3_sitelib}/command_runner-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Apr 08 2025 Jean-Marc Liger <ligenix@iscp.fr> - 1.7.2-1
- Update to 1.7.2

* Sun Aug 13 2023 Jean-Marc Liger <ligenix@iscp.fr> - 1.5.0-2
- Rebuild for COPR

* Thu Jan 26 2023 mockbuilder - 1.5.0-1
- Initial package
